using Infrastructure;

namespace Domain.Weapons;

public class Sword : Weapon
{
    //public virtual object sword_damage()
    //{
    //    return this.RollDices(1, 10) + 3 + this.MF;
    //}


    public int FastAttack(int cc)
    {
        var damage = 0;
        for (var i = 0; i < 2; i++)
            if (DiceService.RollDices(1, 100) <= cc)
                damage += DiceService.RollDices(1, 10) + 3 + cc;
        return damage;
    }

    public override int DamageAmount(int successDegree)
    {
        throw new NotImplementedException();
    }

    public override int Attack(int bonusCc, int cc, string amo = null, bool? isHorde = null)
    {
        return DiceService.RollDices(1, 10) + 3 + cc;
    }
}